lorom

; Sound "piece" format:
; II VV Pa Pi TT

; PP - Pointer to pieces (SPC RAM address format), put more pointers in a row to play more pieces simultaneusly


; setup of a "piece", as I call it:
; II - Instrument sample index (defined in sample table)
; VV - Volume
; Pa - Panning
; Pi - Pitch
; TT - Timer		;frames until the sample is cut off



;Library 3:

{
; ED 4E 	01
; F5 4E 	02
; 00 4F 	03
; 4B 4F 	04
; 5B 4F 	05
; 6B 4F 	06
; 73 4F 	07
; 89 4F 	08
; 9F 4F 	09
; B6 4F 	0A
; E1 4F 	0B
; F7 4F 	0C
; FF 4F 	0D
; 0C 50 	0E
; 47 50 	0F
; A8 50 	10
; C4 50 	11
; D1 50 	12
; D4 50 	13
; F0 50 	14
; 1A 51 	15
; 30 51 	16
; 42 51 	17
; 75 51 	18
; 78 51 	19
; 88 51 	1A
; 8B 51 	1B
; B9 51 	1C
; C1 51 	1D
; D4 51 	1E
; F0 51 	1F
; FD 51 	20
; 00 52 	21
; 08 52 	22
; 29 52 	23
; 31 52 	24
; 39 52 	25
; 41 52 	26
; 4E 52 	27
; 56 52 	28
; 77 52 	29
; 93 52 	2A
; A5 52 	2B
; B0 52 	2C
; C6 52 	2D
; F1 52 	2E
; 0B 53 	2F
}

{
org $CFBA97


base $004E8F	;start of library 3


	DW L3_S01, L3_S02, L3_S03, L3_S04, L3_S05, L3_S06, L3_S07, L3_S08, L3_S09, L3_S0A, L3_S0B, L3_S0C, L3_S0D, L3_S0E, L3_S0F
DW L3_S10, L3_S11, L3_S12, L3_S13, L3_S14, L3_S15, L3_S16, L3_S17, L3_S18, L3_S19, L3_S1A, L3_S1B, L3_S1C, L3_S1D, L3_S1E, L3_S1F
DW L3_S20, L3_S21, L3_S22, L3_S23, L3_S24, L3_S25, L3_S26, L3_S27, L3_S28, L3_S29, L3_S2A, L3_S2B, L3_S2C, L3_S2D, L3_S2E, L3_S2F


L3_S01:						;Clear sounds
	DW L3_S01+2				;4EED
	DB $11, $00, $0A, $BC, $03
	DB $FF

L3_S02:						;Health alarm
	DW L3_S02+2				;4EF5
	DB $FE, $00
	DB $15, $90, $0A, $BC, $F0
	DB $FB
	DB $FF

L3_S03:						;4F00
	DW L3_S03+2				;Speedrun
	DB $F5, $E0, $C7
	DB $05, $60, $0A, $98, $12
	DB $F5, $E0, $C7
	DB $05, $70, $0A, $A4, $11
	DB $F5, $E0, $C7
	DB $05, $80, $0A, $B0, $10
	DB $F5, $E0, $C7
	DB $05, $80, $0A, $B4, $08
	DB $F5, $E0, $C7
	DB $05, $80, $0A, $B9, $07
	DB $F5, $E0, $C7
	DB $05, $80, $0A, $BC, $06
	DB $F5, $E0, $C1
	DB $05, $80, $0A, $BC, $06
	DB $F5, $E0, $C7
	DB $05, $80, $0A, $C5, $06
	DB $FE, $00
	DB $05, $60, $0A, $C7, $10
	DB $FB
	DB $FF



L3_S04:						;4F4B
	DW L3_S04_P1				;Loud jump land
	DW L3_S04_P2
L3_S04_P1:
	DB $03, $90, $0A, $80, $03
	DB $FF
L3_S04_P2:
	DB $03, $A0, $0A, $84, $05
	DB $FF


L3_S05:						;4F5B
	DW L3_S05_P1					;Soft jump land
	DW L3_S05_P2
L3_S05_P1:
	DB $03, $40, $0A, $80, $03
	DB $FF
L3_S05_P2:
	DB $03, $50, $0A, $84, $05
	DB $FF


L3_S06:						;4F6B
	DW L3_S06+2				;Footstep
	DB $09, $80, $0A, $82, $03
	DB $FF

L3_S07:						;4F73
	DW L3_S07_P1						;Opening door
	DW L3_S07_P2
L3_S07_P1:
	DB $F5, $F0, $A9
	DB $06, $80, $0A, $91, $18
	DB $FF
L3_S07_P2:
	DB $F5, $F0, $A8
	DB $02, $80, $0A, $90, $18
	DB $FF


L3_S08:						;4F89
	DW L3_S08_P1				;Closing door
	DW L3_S08_P2
L3_S08_P1:
	DB $F5, $F0, $89
	DB $06, $80, $0A, $A1, $15
	DB $FF
L3_S08_P2:
	DB $F5, $F0, $87
	DB $02, $80, $0A, $9F, $15
	DB $FF



L3_S09:						;4F9F
	DW L3_S09+2				;Hit red door with missile
	DB $02, $B0, $0A, $8C, $03
	DB $02, $D0, $0A, $90, $03
	DB $02, $D0, $0A, $8C, $03
	DB $02, $D0, $0A, $90, $03
	DB $FF



L3_S0A:						;4FB6
	DW L3_S0A+2				;Enemy froze
	DB $0D, $70, $0C, $A3, $01
	DB $0D, $80, $0C, $A1, $01
	DB $0D, $80, $0C, $9F, $02
	DB $0D, $80, $0C, $9D, $02
	DB $0D, $70, $0C, $9C, $02
	DB $0D, $50, $0C, $9A, $01
	DB $0D, $60, $0C, $97, $01
	DB $0D, $60, $0C, $98, $03
	DB $FF


L3_S0B:						;4FE1
	DW L3_S0B_P1				;Moving elevator
	DW L3_S0B_P2

L3_S0B_P1:
	DB $FE, $00
	DB $0B, $90, $0A, $80, $70
	DB $FB
	DB $FF
L3_S0B_P2:
	DB $FE, $00
	DB $06, $40, $0A, $98, $13
	DB $FB
	DB $FF



L3_S0C:						;4FF7
	DW L3_S0C+2				;Shinespark stored
	DB $05, $A0, $0A, $C7, $B0
	DB $FF


L3_S0D:						;4FFF
	DW L3_S0D+2				;Typewriter
	DB $03, $50, $0A, $98, $02
	DB $03, $50, $0A, $98, $02
	DB $FF


L3_S0E:						;500C
	DW L3_S03_P1				;Moving gate
	DW L3_S03_P2
L3_S03_P1:
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $03, $50, $0C, $85, $05
	DB $FF
L3_S03_P2:
	DB $F5, $60, $A9
	DB $06, $90, $0A, $91, $20
	DB $FF



L3_S0F:						;5047
	DW L3_S0F_P1				;Shinespark activated
	DW L3_S0F_P2
L3_S0F_P1:
	DB $01, $00, $0A, $90, $0C
	DB $01, $D0, $0A, $91, $0C
	DB $01, $D0, $0A, $93, $0C
	DB $01, $D0, $0A, $95, $0A
	DB $01, $D0, $0A, $95, $0A
	DB $01, $D0, $0A, $97, $08
	DB $01, $D0, $0A, $97, $08
	DB $01, $D0, $0A, $98, $06
	DB $01, $D0, $0A, $98, $06
	DB $01, $D0, $0A, $9A, $04
	DB $01, $D0, $0A, $9A, $04
	DB $FF
L3_S0F_P2:
	DB $F5, $90, $C7
	DB $05, $C0, $0A, $98, $10
	DB $F5, $F0, $C7
	DB $05, $C0, $0A, $F6, $30
	DB $05, $C0, $0A, $C1, $03
	DB $05, $C0, $0A, $C3, $03
	DB $05, $C0, $0A, $C5, $03
	DB $05, $C0, $0A, $C7, $03
	DB $FF



L3_S10:						;50A8
	DW L3_S10+2				;Similar to bomb
	DB $08, $D0, $0A, $98, $03
	DB $08, $D0, $0A, $95, $03
	DB $08, $D0, $0A, $9A, $03
	DB $08, $D0, $0A, $8C, $03
	DB $08, $D0, $0A, $8C, $15
	DB $FF



L3_S11:						;50C4
	DW L3_S11+2				;Like block breaking
	DB $08, $D0, $0A, $8C, $03
	DB $08, $D0, $0A, $8C, $15
	DB $FF




L3_S12:						;50D1
	DW L3_S12+2				;clear sounds?
	DB $FF


L3_S13:						;50D4
	DW L3_S13+2				;bomb explode
	DB $08, $D0, $0A, $98, $03
	DB $08, $D0, $0A, $95, $03
	DB $08, $D0, $0A, $9A, $03
	DB $08, $D0, $0A, $8C, $03
	DB $08, $D0, $0A, $8C, $25
	DB $FF


L3_S14:						;50F0
	DW L3_S14_P1				;ship door open
	DW L3_S14_P2
L3_S14_P1:
	DB $06, $00, $0A, $91, $23
	DB $06, $A0, $0A, $91, $18
	DB $F5, $F0, $A9
	DB $06, $A0, $0A, $91, $18
	DB $FF
L3_S14_P2:
	DB $02, $00, $0A, $90, $23
	DB $02, $20, $0A, $90, $18
	DB $F5, $F0, $A8
	DB $02, $20, $0A, $90, $18
	DB $FF



L3_S15:						;511A
	DW L3_S15_P1				;ship door close
	DW L3_S15_P2
L3_S15_P1:
	DB $F5, $F0, $89
	DB $06, $80, $0A, $A1, $15
	DB $FF
L3_S15_P2:
	DB $F5, $F0, $87
	DB $02, $10, $0A, $9F, $15
	DB $FF



L3_S16:						;5130
	DW L3_S16+2				;block break > explosion
	DB $08, $D0, $0A, $A3, $03
	DB $08, $D0, $0A, $8E, $03
	DB $08, $D0, $0A, $8E, $25
	DB $FF


L3_S17:						;5142
	DW L3_S17+2				;space pirate beam like
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $F5, $F0, $C3
	DB $0B, $90, $0A, $A6, $03
	DB $FF


L3_S18:						;5175
	DW L3_S18+2				;nothing
	DB $FF


L3_S19:						;5178
	DW L3_S19_P1				;'grandfather clock'
	DW L3_S19_P2
L3_S19_P1:
	DB $25, $D0, $0A, $93, $26
	DB $FF
L3_S19_P2:
	DB $25, $A0, $0A, $8C, $3B
	DB $FF


L3_S1A:						;5188
	DW L3_S1A+2				;nothing?
	DB $FF
L3_S1B:						;518B
	DW L3_S1B_P1				;grandfather clock, random notes?
	DW L3_S1B_P2
L3_S1B_P1:
	DB $25, $D0, $0A, $8E, $30
	DB $25, $D0, $0A, $8E, $30
	DB $25, $D0, $0A, $8E, $40
	DB $FF
L3_S1B_P2:
	DB $25, $00, $0A, $A6, $0C
	DB $25, $80, $0A, $98, $30
	DB $25, $80, $0A, $98, $30
	DB $25, $80, $0A, $9A, $10
	DB $25, $80, $0A, $98, $40
	DB $FF

L3_S1C:						;51B9
	DW L3_S1C+2				;Similar to normal beam, boss spawned projectile?
	DB $00, $D0, $0A, $9C, $20
	DB $FF


L3_S1D:						;51C1
	DW L3_S1D+2				;phantoon spawning fire?
	DB $F5, $F0, $B5
	DB $09, $D0, $0A, $93, $08
	DB $F5, $F0, $B5
	DB $09, $D0, $0A, $93, $08
	DB $FF



L3_S1E:						;51D4
	DW L3_S1E+2				;another bomb explode
	DB $08, $D0, $0A, $98, $03
	DB $08, $D0, $0A, $95, $03
	DB $08, $D0, $0A, $9A, $03
	DB $08, $D0, $0A, $8C, $03
	DB $08, $D0, $0A, $8C, $25
	DB $FF



L3_S1F:						;51F0
	DW L3_S1F+2				;lower pitched super missile firing, shorter, GT?
	DB $00, $D0, $0A, $90, $08
	DB $01, $D0, $0A, $8C, $20
	DB $FF


L3_S20:						;51FD
	DW L3_S20+2				;nothing?
	DB $FF

L3_S21:						;5200
	DW L3_S21+2				;file select noise?
	DB $07, $D0, $0A, $C7, $10
	DB $FF


L3_S22:						;5208
	DW L3_S22+2				;3 step+bubbles?
	DB $09, $B0, $0A, $8C, $05
	DB $0E, $B0, $0A, $91, $05
	DB $09, $B0, $0A, $8C, $05
	DB $0E, $B0, $0A, $91, $05
	DB $09, $B0, $0A, $8C, $05
	DB $0E, $B0, $0A, $91, $05
	DB $FF



L3_S23:						;5229
	DW L3_S23+2				;quiet grandfather clock/most likely needs boss BGM for proper brr sample?
	DB $25, $20, $0A, $95, $40
	DB $FF


L3_S24:						;5231
	DW L3_S24+2				;quiet grandfather clock again
	DB $24, $20, $0A, $95, $40
	DB $FF

L3_S25:						;5239
	DW L3_S25+2				;nothing?
	DB $07, $00, $0A, $C7, $03
	DB $FF


L3_S26:						;5241
	DW L3_S26+2				;quiet grandfather clock double hit
	DB $25, $20, $0A, $92, $09
	DB $25, $30, $0A, $92, $40
	DB $FF


L3_S27:						;524E
	DW L3_S27+2				;quiet lower pitch grandfather clock
	DB $25, $30, $0A, $91, $40
	DB $FF



L3_S28:						;5256
	DW L3_S28+2				;6 rapid beam shot sounds?
	DB $00, $D0, $0A, $91, $08
	DB $00, $D0, $0A, $91, $08
	DB $00, $D0, $0A, $91, $08
	DB $00, $D0, $0A, $91, $08
	DB $00, $D0, $0A, $91, $08
	DB $00, $D0, $0A, $91, $08
	DB $FF



L3_S29:						;5277
	DW L3_S29+2				;5 even more rapid beam shot sounds?
	DB $00, $D0, $0A, $91, $06
	DB $00, $D0, $0A, $91, $06
	DB $00, $D0, $0A, $91, $06
	DB $00, $D0, $0A, $91, $06
	DB $00, $D0, $0A, $91, $06
	DB $FF


L3_S2A:						;5293
	DW L3_S2A+2				;pause menu always beeping sound
	DB $0B, $20, $0A, $C7, $03
	DB $0B, $20, $0A, $C7, $03
	DB $0B, $10, $0A, $C7, $03
	DB $FF


L3_S2B:						;52A5
	DW L3_S2B+2				;infinite charged shinespark sound
	DB $FE, $00
	DB $05, $60, $0A, $C7, $10
	DB $FB
	DB $FF


L3_S2C:						;52B0
	DW L3_S2C_P1				;Ceres door opening
	DW L3_S2C_P2
L3_S2C_P1:
	DB $F5, $F0, $A9
	DB $06, $70, $0A, $91, $18
	DB $FF
L3_S2C_P2:
	DB $F5, $F0, $A4
	DB $06, $70, $0A, $8C, $18
	DB $FF


L3_S2D:						;52C6
	DW L3_S2D+2				;very similar to ammo pickup but quicker (heat damage?)
	DB $06, $70, $0A, $A8, $01
	DB $06, $00, $0A, $A8, $01
	DB $06, $70, $0A, $A8, $01
	DB $06, $00, $0A, $A8, $01
	DB $06, $70, $0A, $A8, $01
	DB $06, $00, $0A, $A8, $01
	DB $06, $70, $0A, $A8, $01
	DB $06, $00, $0A, $A8, $01
	DB $FF

L3_S2E:						;52F1
	DW L3_S2E_P1				;bomb and descending grandfather clock noise?
	DW L3_S2E_P2
L3_S2E_P1:
	DB $08, $D0, $0A, $94, $59
	DB $FF
L3_S2E_P2:
	DB $25, $D0, $0A, $98, $10
	DB $25, $D0, $0A, $93, $16
	DB $25, $90, $0A, $8F, $15
	DB $FF


L3_S2F:						;530B
	DW L3_S2F+2				;nothing?
	DB $FF


}